Skip to content

Connected agents

GET
/api/v1/compliance-security/agent/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/compliance-security/agent/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
key
string
Allowed values: Total_agents Disconnected_agents Never_connected_agents

Agent classificaiton.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successful response with agent status data

Media typeapplication/json
object
code
integer
data
object
agent_configured
boolean
status_info
object
Total_agents
integer
Active_agents
integer
Disconnected_agents
integer
Pending_agents
integer
Never_connected_agents
integer
most_active_agent
string
nullable
last_registered_agent
string
errors
object
message
string

Example

{
"code": 200,
"data": {
"agent_configured": true,
"status_info": {
"Total_agents": 1,
"Active_agents": 0,
"Disconnected_agents": 0,
"Pending_agents": 0,
"Never_connected_agents": 1
},
"most_active_agent": null,
"last_registered_agent": "C3-8GB-133"
},
"errors": {},
"message": "Success"
}